Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 501510 - sys-libs/openipmi with ncurses[tinfo] - checking for tgetent in -lncurses... no
Summary: sys-libs/openipmi with ncurses[tinfo] - checking for tgetent in -lncurses... no
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sysadmin Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2014-02-16 17:59 UTC by Travis Hansen
Modified: 2016-04-25 07:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
openipmi-2.0.21-tinfo.patch (openipmi-2.0.21-tinfo.patch,643 bytes, patch)
2014-05-10 15:50 UTC, Jeroen Roovers
Details | Diff
New openipmi-2.0.21-tinfo.patch, inspired by lame-3.99.5-tinfo.patch (openipmi-2.0.21-tinfo.patch,818 bytes, patch)
2015-09-23 15:25 UTC, Charlie Gehlin
Details | Diff
openipmi-2.0.21.ebuild.patch (openipmi-2.0.21.ebuild.patch,917 bytes, patch)
2015-09-23 15:28 UTC, Charlie Gehlin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Hansen 2014-02-16 17:59:48 UTC
The documentation comes already generated, so this is generally not a problem
checking for tgetent in -lcurses... no
checking for tgetent in -lncurses... no
configure: error: libtermcap, libcurses or libncurses are required!

Reproducible: Always
Comment 1 Jeroen Roovers gentoo-dev 2014-05-10 15:50:12 UTC
Created attachment 376658 [details, diff]
openipmi-2.0.21-tinfo.patch

A bit of a hack, since /usr/sbin/ipmi_ui only needs libncurses while /usr/sbin/openipmish only needs libtinfo.
Comment 2 Charlie Gehlin 2015-09-03 10:23:47 UTC
(In reply to Jeroen Roovers from comment #1)
> Created attachment 376658 [details, diff] [details, diff]
> openipmi-2.0.21-tinfo.patch
> 
> A bit of a hack, since /usr/sbin/ipmi_ui only needs libncurses while
> /usr/sbin/openipmish only needs libtinfo.

I've applied your path to my local overlay, but configure still can't get by:
checking for dvipdf... /usr/bin/dvipdf
checking for tgetent in -lcurses... no
checking for tgetent in -lncursesw... no
checking for tgetent in -lncurses... no
configure: error: libtermcap, libcurses or libncurses are required!

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/sys-libs/openipmi-2.0.21/work/OpenIPMI-2.0.21/config.log
 * ERROR: sys-libs/openipmi-2.0.21::Gehlinux-Overlay failed (configure phase):
 *   econf failed
Comment 3 Charlie Gehlin 2015-09-23 15:25:19 UTC
Created attachment 412654 [details, diff]
New openipmi-2.0.21-tinfo.patch, inspired by lame-3.99.5-tinfo.patch
Comment 4 Charlie Gehlin 2015-09-23 15:28:45 UTC
Created attachment 412658 [details, diff]
openipmi-2.0.21.ebuild.patch

Just a suggestion for the bumped ebuild.
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2016-04-25 07:58:10 UTC
Fixed in openipmi-2.0.21 which I just committed to the tree.